#!/bin/sh -efu


set -efu


echo "$1" | egrep -q '^\./[a-zA-Z0-9.-]+$' || exit 1
echo "$2" | egrep -q '^[0-9]+$'            || exit 1


perl -wc "$1" || exit 1


if [ "$1" -a "$2" -a "${3-}" != bg ]
then
	pgrep -f 'perl -wc' && exit 1
	
	daemon -f "$0" "$1" "$2" bg
	
	exit
fi


kill "$2"  \
&& pwait "$2" \
&& exec "$1" quiet
